For integrating the compass into IEC CI platform, the
task about it in CI scripts was added.
Then, the compass will deploy 3 virtual hosts on the
host. And for function checking, it will be updated
in the future.
Change-Id: I57472de5c0eacf5134d7fa9152993bb9475b413d
Signed-off-by: Jingzhao <Jingzhao.Ni@arm.com>
--- /dev/null
+#!/bin/bash
+set -e
+
+echo "begin build compass"
+git clone https://github.com/opnfv/compass4nfv.git
+
+cd compass4nfv
+
+COMPASS_WORK_DIR=$WORKSPACE/../compass-work
+mkdir -p $COMPASS_WORK_DIR
+ln -s $COMPASS_WORK_DIR work
+
+sudo docker rm -f `docker ps | grep compass | cut -f1 -d' '` || true
+
+curl -s http://people.linaro.org/~yibo.cai/compass/compass4nfv-arm64-fixup.sh | bash || true
+
+./build.sh
+
+exit 0
--- /dev/null
+#!/bin/bash
+set -e
+
+cd compass4nfv
+
+echo "Compass Deploy successful"
+exit 0
--- /dev/null
+#!/bin/bash
+set -e
+
+rm -rf compass4nfv
+exit 0
- fuel-virtual:
slave-label: 'aarch64_dev'
scenario: 'k8-calico-iec-noha'
- fuel-virtual:
slave-label: 'aarch64_dev'
scenario: 'k8-calico-iec-noha'
+ - compass-virtual:
+ slave-label: 'aarch64_dev'
+ scenario: 'k8-calico-iec-noha'
jobs:
- 'iec-{deploy-type}-daily-{stream}'
jobs:
- 'iec-{deploy-type}-daily-{stream}'
choosing-strategy: default
builders:
choosing-strategy: default
builders:
- - shell:
- !include-raw-escape: ./iec-fuel-deploy.sh
+ - description-setter:
+ description: "POD: $NODE_NAME"
+ - conditional-step:
+ condition-kind: regex-match
+ regex: 'compass-.*'
+ label: '{deploy-type}'
+ steps:
+ - shell:
+ !include-raw-escape: ./iec-compass-build.sh
+ - shell:
+ !include-raw-escape: ./iec-compass-deploy.sh
+ - shell:
+ !include-raw-escape: ./iec-compass-destroy.sh
+ - conditional-step:
+ condition-kind: regex-match
+ regex: 'fuel-.*'
+ label: '{deploy-type}'
+ steps:
+ - shell:
+ !include-raw-escape: ./iec-fuel-deploy.sh
name: 'iec-fuel-baremetal-daily-master-trigger'
triggers:
- timed: ''
name: 'iec-fuel-baremetal-daily-master-trigger'
triggers:
- timed: ''
+- trigger:
+ name: 'iec-compass-virtual-daily-master-trigger'
+ triggers:
+ - timed: '0 13 * * *'